# 性能测试

## [Apache JMeter Plugin For Apache Dubbo](https://github.com/thubbo/jmeter-plugins-for-apache-dubbo)

- [用户指南](https://github.com/thubbo/jmeter-plugins-for-apache-dubbo/wiki/用户指南)
- **jmeter-plugins-dubbo-${version}-jar-with-dependencies.jar** 包含必要的依赖，推荐使用这个包

## Linux 参数调整 (Ubuntu 必须重启后才生效）

sudo vim /etc/security/limits.conf

```vim

root soft     nproc          65535
root hard     nproc          65535
root soft     nofile         65535
root hard     nofile         65535

xy soft     nproc          65535
xy hard     nproc          65535
xy soft     nofile         65535
xy hard     nofile         65535
```

DefaultLimitNOFILE=65535
/etc/systemd/system.conf and /etc/systemd/user.conf


java -jar -Dspring.profiles.active=dev service-net.jar

### 流量监控 

- bmon

- [tcptrack](http://manpages.ubuntu.com/manpages/groovy/man1/tcptrack.1.html)

- [nethogs](https://github.com/raboof/nethogs) 请求多了，会卡住不动
使用说明 https://blog.51cto.com/10616534/1836624

## JDK Mission Control (JMC) 

```cmd
# 192.168.0.108 -Djava.rmi.server.hostname=<远程JVM主机IP>

java -Dcom.sun.management.jmxremote.port=8091 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -Djava.rmi.server.hostname=192.168.0.108 -Dspring.profiles.active=dev -jar service-net.jar
 
```



