package com.starbuds.server.service.net.okhttp;

import okhttp3.OkHttpClient;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

/**
 * @author aoe
 * @date 2020/6/9
 */
@Service
public class AsyncOkHttpService extends AbstractOkHttpService {

    @Resource
    private OkHttpClientFactory okHttpClientFactory;

    @Override
    protected boolean isSync() {
        return false;
    }

    @Override
    protected OkHttpClient getClient(Long timeout, TimeUnit timeUnit) {
        return okHttpClientFactory.buildAsync(timeout, timeUnit);
    }

}
